Bug 1287860 - vdsm package does not pull in numactl requirement on fc23
vdsm package does not pull in numactl requirement on fc23
Status: CLOSED NOTABUG
Product: vdsm
Classification: oVirt
Component: Packaging.rpm (Show other bugs)
4.17.11
Unspecified Linux
unspecified Severity medium (vote)
: ovirt-3.6.3
: ---
Assigned To: Martin Sivák
Artyom
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 16:00 EST by David Caro
Modified: 2016-06-26 19:51 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 16:58:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dfediuck: ovirt‑3.6.z?
mgoldboi: blocker?
mgoldboi: planning_ack+
rule-engine: devel_ack?
mavital: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description David Caro 2015-12-02 16:00:22 EST
Description of problem:
After using a minimal fc23 image, vdsm installs ok but it fails no run getVDSCapabilities with 'No such file or directory', after some investigation, it turns out that it does not find numactl binary:


  vdsm vds ERROR unexpected error
    Traceback (most recent call last):
    File "/usr/share/vdsm/rpc/bindingxmlrpc.py", line 1232, in wrapper
      res = f(*args, **kwargs)
    File "/usr/share/vdsm/rpc/bindingxmlrpc.py", line 513, in getCapabilities
      ret = api.getCapabilities()
    File "/usr/share/vdsm/API.py", line 1319, in getCapabilities
      c = caps.get()
    File "/usr/share/vdsm/caps.py", line 709, in get
      caps['numaNodeDistance'] = getNumaNodeDistance()
    File "/usr/lib/python2.7/site-packages/vdsm/utils.py", line 852, in __call__
      value = self.func(*args)
    File "/usr/share/vdsm/caps.py", line 360, in getNumaNodeDistance
      retcode, out, err = utils.execCmd(['numactl', '--hardware'])
    File "/usr/lib/python2.7/site-packages/vdsm/utils.py", line 648, in execCmd
      deathSignal=deathSignal, childUmask=childUmask)
    File "/usr/lib64/python2.7/site-packages/cpopen/__init__.py", line 63, in __init__
      **kw)
    File "/usr/lib64/python2.7/subprocess.py", line 710, in __init__
      errread, errwrite)
    File "/usr/lib64/python2.7/site-packages/cpopen/__init__.py", line 83, in _execute_child_v276
      _to_close=to_close
    File "/usr/lib64/python2.7/site-packages/cpopen/__init__.py", line 118, in _execute_child_v275
        restore_sigpipe
    OSError: [Errno 2] No such file or directory


Version-Release number of selected component (if applicable):
# rpm -qa vdsm
vdsm-4.17.999-250.git0e1dd4f.fc23.noarch

(vdsm custom build for master branch)

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
manually installing numactl works
Comment 1 Oved Ourfali 2015-12-07 07:35:31 EST
Numa is SLA-related.
Moving to SLA.
Comment 2 Roy Golan 2016-01-28 17:53:46 EST
I see numactl on vdsm.spec but not on vdsm.spec.in

$ grep numactl vdsm.spec | grep numactl
Requires: numactl

My spec.in resolved it and created it in vdsm.spec. Can you check yours?
Comment 3 Martin Sivák 2016-02-02 12:13:00 EST
I do not see it in 3.6 spec.in file. It was removed by https://gerrit.ovirt.org/40738 in favour of safelease package.

And that package was broken on fc23. It was supposedly fixed by https://bugzilla.redhat.com/show_bug.cgi?id=1287862

Can you please check whether it is still an issue?
Comment 4 David Caro 2016-02-02 15:24:53 EST
Current vdsm master head does not add the Requires: numactl but still uses it in the code:

  dcaro@akhos$ grep numactl -n vdsm.spec
  1208:%{_datadir}/%{vdsm_name}/tests/caps_numactl_4_nodes.out
  dcaro@akhos$ grep numactl -n vdsm/caps.py
  271:    retcode, out, err = commands.execCmd(['numactl', '--hardware'])
  273:        logging.error("Get error when execute numactl", exc_info=True)
Comment 5 Martin Sivák 2016-02-02 16:13:21 EST
VDSM does not depend on numactl directly. It depends on safelease and safelease depends on numactl. Please check the repo closure on F23.
Comment 6 David Caro 2016-02-02 16:37:28 EST
let me retry again, but I tested the installation on a freshly install fedora23 cloud image, and it did not pull numactl in, I had to install it myself.
Comment 7 David Caro 2016-02-02 16:58:10 EST
It seems that it's pulling it correctly, not sure why it did not before, might be a yum issue, looking, will reopen as yum issue if so

Note You need to log in before you can comment on or make changes to this bug.